/**
 * Event arguments for the
 * selectionChanged event.
*/
var IgxSpreadsheetSelectionChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxSpreadsheetSelectionChangedEventArgs() {
    }
    Object.defineProperty(IgxSpreadsheetSelectionChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxSpreadsheetSelectionChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxSpreadsheetSelectionChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxSpreadsheetSelectionChangedEventArgs.prototype, "pane", {
        /**
         * Returns the pane whose selection has been changed.
        */
        get: function () {
            return this.i.pane;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetSelectionChangedEventArgs;
}());
export { IgxSpreadsheetSelectionChangedEventArgs };
